

AddRank <- function(df) {
  SortDimension <- df$SortDimension
  SortMeasure <- df$SortMeasure

  dat<-data.frame(SortDimension,SortMeasure)
  order.scores<- order(-dat$SortMeasure,dat$SortDimension)
  dat$rank <- NA
  dat$rank[order.scores] <- 1:nrow(dat)
  
  SortDimension1 <- dat$SortDimension
  SortMeasure1 <- dat$SortMeasure
  Rank1 <- dat$rank
  
  return( data.frame(
    SortDimension1, SortMeasure1, Rank1
  ))
}


getOutputSchema <- function() {
  return(data.frame (
    SortDimension1 = prep_string (),
    SortMeasure1 = prep_decimal (),
    Rank1 = prep_int ()
  ));
}

